Skip to main content
GET
/
merchant
/
trades
List trades
curl --request GET \
  --url https://api.skinshark.gg/merchant/trades \
  --header 'api-key: <api-key>'
{
  "requestId": "<string>",
  "success": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "userId": "<string>",
        "steamId": "<string>",
        "tradeUrl": "<string>",
        "game": "730",
        "items": [
          {
            "id": "<string>",
            "name": "<string>",
            "marketHashName": "<string>",
            "type": "<string>",
            "iconUrl": "<string>",
            "price": 123,
            "exterior": "<string>",
            "rarity": "<string>",
            "color": "<string>",
            "phase": "<string>",
            "wear": "<string>",
            "paintSeed": 123,
            "stickers": [
              {
                "name": "<string>",
                "slot": 123,
                "iconUrl": "<string>",
                "wear": 123
              }
            ],
            "charm": {
              "name": "<string>",
              "iconUrl": "<string>",
              "pattern": "<string>"
            },
            "delivery": "<string>",
            "status": "<string>",
            "tradable": true,
            "error": "<string>"
          }
        ],
        "summary": {
          "total": 123,
          "delivered": 123,
          "completed": 123,
          "failed": 123
        },
        "totalPrice": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "offerId": "<string>",
        "externalId": "<string>",
        "holdEndDate": "2023-11-07T05:31:56Z",
        "settledAt": "2023-11-07T05:31:56Z",
        "error": "<string>"
      }
    ],
    "nextCursor": "<string>"
  },
  "error": {
    "code": 1500,
    "key": "INSUFFICIENT_BALANCE",
    "message": "Insufficient balance"
  }
}

Authorizations

api-key
string
header
required

Your raw API key. Generate, rotate, and revoke keys from the merchant dashboard. Keys can optionally be bound to one or more allowed source IPs — requests from any other IP are rejected with API_KEY_IP_DENIED.

Query Parameters

status
enum<string>
Available options:
initiated,
pending,
active,
hold,
completed,
failed,
reverted
hideResolved
boolean

Excludes failed + reverted (auto-refunded) trades. Ignored when status is set.

subUserId
string
Required string length: 1 - 128
itemName
string
Required string length: 1 - 128
externalId
string
Required string length: 1 - 128
offerId
string
Required string length: 1 - 128
tradeId
string
Required string length: 1 - 128
from
string<date-time>
to
string<date-time>
cursor
string<uuid>
limit
integer
default:25
Required range: 1 <= x <= 100

Response

OK.

requestId
string
required
success
boolean
required
data
object

Merchant-scope trade list (/merchant/trades, /merchant/users/:id/trades).

error
object